#!perl

use strict;
use warnings;
use diagnostics;
use stkutils::ini_file;

my $fh = stkutils::ini_file->new('scene_object.part', 'r');
my $out = IO::File->new('scene_object.new.part', 'w');
my $i = 0;
foreach my $sect (@{$fh->{sections_list}}) {
	$i++ if defined $fh->{sections_hash}{$sect}{'clsid'} && $fh->{sections_hash}{$sect}{'clsid'} == 2;
}
$fh->{sections_hash}{'main'}{'objects_count'} = $i;
my $j = 0;
foreach my $sect (@{$fh->{sections_list}}) {
	if (defined $fh->{sections_hash}{$sect}{'clsid'} && $fh->{sections_hash}{$sect}{'clsid'} == 2) {
		print $out "[object_$j]\n";
		foreach my $name (keys %{$fh->{sections_hash}{$sect}}) {
			print $out "		$name = $fh->{sections_hash}{$sect}{$name}\n";
		}
		$j++;
	} else {
		print $out "[$sect]\n";
		foreach my $name (keys %{$fh->{sections_hash}{$sect}}) {
			print $out "		$name = $fh->{sections_hash}{$sect}{$name}\n";
		}	
	}
	print $out "\n";
}
$out->close();
$fh->close();